GermanAnalyzer (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.de.GermanAnalyzer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.de
Class GermanAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.de.GermanAnalyzer

    public class GermanAnalyzer

extends Analyzer

Analyzer for German language. Supports an external list of stopwords (words that will not be indexed at all) and an external list of exclusions (word that will not be stemmed, but indexed). A default set of stopwords is used unless an alternative list is specified, the exclusion list is empty by default.

Version:
  $Id: GermanAnalyzer.java 692921 2008-09-07 19:22:40Z mikemccand $

Field Summary
`static String[]` | `GERMAN_STOP_WORDS` List of typical german stopwords.

Constructor Summary
`GermanAnalyzer()` Builds an analyzer with the default stop words (`GERMAN_STOP_WORDS`).
`GermanAnalyzer(File stopwords)` Builds an analyzer with the given stop words.
`GermanAnalyzer(Map stopwords)` Builds an analyzer with the given stop words.
`GermanAnalyzer(String[] stopwords)` Builds an analyzer with the given stop words.

Method Summary
`void` | `setStemExclusionTable(File exclusionlist)` Builds an exclusionlist from the words contained in the given file.
`void` | `setStemExclusionTable(Map exclusionlist)` Builds an exclusionlist from a Hashtable.
`void` | `setStemExclusionTable(String[] exclusionlist)` Builds an exclusionlist from an array of Strings.
`TokenStream` | `tokenStream(String fieldName, Reader reader)` Creates a TokenStream which tokenizes all the text in the provided Reader.

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GERMAN_STOP_WORDS

    public static final String[] GERMAN_STOP_WORDS

  List of typical german stopwords.

Constructor Detail

### GermanAnalyzer

    public GermanAnalyzer()

  Builds an analyzer with the default stop words (`GERMAN_STOP_WORDS`).

### GermanAnalyzer

    public GermanAnalyzer(String[] stopwords)

  Builds an analyzer with the given stop words.

### GermanAnalyzer

    public GermanAnalyzer(Map stopwords)

  Builds an analyzer with the given stop words.

### GermanAnalyzer

    public GermanAnalyzer(File stopwords)
                   throws IOException

  Builds an analyzer with the given stop words.

  Throws:
    `IOException`

Method Detail

### setStemExclusionTable

    public void setStemExclusionTable(String[] exclusionlist)

  Builds an exclusionlist from an array of Strings.

### setStemExclusionTable

    public void setStemExclusionTable(Map exclusionlist)

  Builds an exclusionlist from a Hashtable.

### setStemExclusionTable

    public void setStemExclusionTable(File exclusionlist)
                               throws IOException

  Builds an exclusionlist from the words contained in the given file.

  Throws:
    `IOException`

### tokenStream

    public TokenStream tokenStream(String fieldName,
                                   Reader reader)

  Creates a TokenStream which tokenizes all the text in the provided Reader.

  Specified by:
    `tokenStream` in class `Analyzer`
  Returns:
    A TokenStream build from a StandardTokenizer filtered with StandardFilter, LowerCaseFilter, StopFilter, GermanStemFilter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.